#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  Mps,
  vEs
} from "../../../../chunk-53NHAV3C.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-IHX3I5SM.js";

// ../../boilerplates/d1/dist/files/$TODO.md.js
async function getTodo(props) {
  const content = await vEs(props);
  const pmCmd = Mps().run;
  const todo = `
## Cloudflare D1

Create the \`my-vike-demo-database\` database:
\`\`\`sh
${pmCmd} wrangler d1 create my-vike-demo-database
\`\`\`

Then migrate:
\`\`\`sh
${pmCmd} ${props.meta.BATI.has("drizzle") ? "drizzle" : "d1"}:migrate
\`\`\`

More infos can be found at https://developers.cloudflare.com/d1/get-started/
`;
  content.addMarkdownFeature(todo, "sqlite");
  return content;
}
export {
  getTodo as default
};
